Subject: Re: [PATCH net-next] net: macb: replace literal constant with NET_IP_ALIGN

From: Nicolae Rosia <[email-masked]>
Date: Wed, 1 Jul 2015 17:29:42 +0300

On 07/01/2015 04:44 PM, Eric Dumazet wrote:
> I really doubt this adapter can process millions of packets per second ?
I was suggesting this since I was taking into consideration the comment 
from skbuff.c, "we can save several CPU cycles by avoiding having to 
disable and re-enable IRQs."
Is there a downside to this?

>
> I would rather enable GRO, it would be more useful.
I had no idea what GRO is, so I have read about it [0] and looked at a 
couple of drivers which use it. They all seem to
replace netif_receive_skb with napi_gro_receive and when there are no 
more packets in napi_pool they call napi_gro_flush.
Is it that simple?

Regards

[0] https://lwn.net/Articles/358910/